Build problems on Ubuntu 19.04

Support for HandBrake on Linux, Solaris, and other Unix-like platforms
Forum rules
An Activity Log is required for support requests. Please read How-to get an activity log? for details on how and why this should be provided.
Post Reply
mfaine
Posts: 2
Joined: Sun Oct 13, 2019 5:13 pm

Build problems on Ubuntu 19.04

Post by mfaine »

Description of problem or question:
Multiple errors when building:
1. pkg-config 29.2 is required but Ubuntu only has 29.1. I corrected that by downloading and building it and symlinking it temporarily. It would not under any circumstances allow me to configure the location of pkg-config. It was only ever going to accept /usr/bin/pkg-config

2. I have gtk build 3.24.8-1ubuntu1 but I get an error that gtk 3.16 or above is required.:

Code: Select all

configure: error: "GTK 3.16 or above is required                             1 config.status: creating libmfx.pc
978  make: *** [../gtk/module.rules:17: gtk/.stamp.configure] Error 1  
3. blueray error:

Code: Select all

make: *** [../contrib/libbluray/module.rules:2: contrib/libbluray/.stamp.l     ibbluray.configure] Error 1  
4. nvenc error:

Code: Select all

 Brake/build/contrib/nvenc/nv-codec-headers-n9.0.18.1'
100  make: [../contrib/nvenc/module.rules:2: contrib/nvenc/.stamp.nvenc.build]      Error 2 (ignored)  
5. Final result is result: FAILURE (code 2)

I'm not sure if this is the result of all of the errors above or only some of them. It appears to have built except for that failure code but when I look in build there is nothing built.

Steps to reproduce the problem (If Applicable):

git clone https://github.com/HandBrake/HandBrake.git && cd HandBrake
./configure --launch-jobs=$(nproc) --launch --enable-qsv

HandBrake version: master branch from Github



Operating system and version (e.g., Ubuntu 16.04 LTS, macOS 10.13 High Sierra, Windows 10 Creators Update):




HandBrake Activity Log ***required*** (see How-to get an activity log)

Code: Select all

Please replace this text with the contents of your log file between the two code tags - OR -  provide a pastebin URL in place of these 3 lines.

User avatar
BradleyS
Moderator
Posts: 1769
Joined: Thu Aug 09, 2007 12:16 pm

Re: Build problems on Ubuntu 19.04

Post by BradleyS »

I'll relax the pkg-config requirement. Perhaps others can comment on the other issues. I should spin up a 19.04 VM; everything seems to be working fine on 19.10.

mfaine
Posts: 2
Joined: Sun Oct 13, 2019 5:13 pm

Re: Build problems on Ubuntu 19.04

Post by mfaine »

I've been thinking about upgrading. Maybe this is the time. Still yes, if you do test on 19.04 I'd be interested to see what you find.

User avatar
BradleyS
Moderator
Posts: 1769
Joined: Thu Aug 09, 2007 12:16 pm

Re: Build problems on Ubuntu 19.04

Post by BradleyS »

I've relaxed the pkg-config requirement from 0.29.2 to 0.29.0.

I'm not having any further issues on 19.04. Make sure you've installed all required dependencies as detailed here: https://handbrake.fr/docs/en/latest/dev ... buntu.html

We're working on improving our configure script to better detect missing dependencies. https://github.com/HandBrake/HandBrake/issues/1130

Post Reply